/*
 * IO Priority Utilities - set_iop.c
 *
 * Copyright (C) 2004 Josef "Jeff" Sipek <jeffpc@optonline.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <asm/unistd.h>
#include <errno.h>
#include <unistd.h>

#include "iop.h"

int main(int argc, char** argv)
{
	if (argc!=3) {
		printf("Usage: %s <prio> <cmd>\n",argv[0]);
		return 0;
	}
	printf("io_prio returned: %d\n", io_prio(atoi(argv[1])));
	execve(argv[2], NULL, NULL);
	printf("failed to execve!\n");
	return 1;
}
